<template>
    <div class="app-container">
        <div class="filter-container">
            <div style="display: block;">
                <!--                <div class="basic_search" style="margin-right: 10px;padding-top: 10px">-->
                <!--                    <span>库房列表：</span>-->
                <!--                    <el-select v-model="listQuery.warehouseId" clearable filterable>-->
                <!--                        <el-option-->
                <!--                            v-for="item in warehouseList"-->
                <!--                            :key="item.id"-->
                <!--                            :label="item.name"-->
                <!--                            :value="item.name"-->
                <!--                        >-->
                <!--                        </el-option>-->
                <!--                    </el-select>-->
                <!--                </div>-->
                <div class="basic_search">
                    <span>企业名称：</span>
                    <el-input v-model.trim="listQuery.filter.companyName" style="width: 300px"/>
                </div>
                <div class="basic_search" style="margin-right: 10px">
                    <el-button style="margin-left: 10px;" type="primary" @click="reset()">重置</el-button>
                    <el-button style="margin-left: 10px;" type="primary" icon="el-icon-search" @click="search()">查询
                    </el-button>
                </div>
            </div>
        </div>
        <br>
        <div class="table_content">
            <el-table
                v-loading="listLoading"
                :key="tableKey"
                :data="dataList"
                border
                fit
                highlight-current-row
                style="width: 100%;"
            >
                <el-table-column label="序号" type="index" align="center"></el-table-column>
                <el-table-column label="企业" prop="companyName" align="center"></el-table-column>
                <el-table-column label="人员数量" prop="personCount" align="center"></el-table-column>
                <el-table-column label="车辆数量" prop="carCount" align="center"></el-table-column>
                <el-table-column label="创建人" prop="createBy" align="center"></el-table-column>
                <el-table-column label="修改人" prop="updateBy" align="center"></el-table-column>
                <el-table-column label="创建时间" prop="createDate" align="center"></el-table-column>
                <el-table-column label="修改时间" prop="updateDate" align="center"></el-table-column>
                <el-table-column label="数据采集时间" prop="collectTime" align="center"></el-table-column>
                <el-table-column label="数据同步时间" prop="syncTime" align="center"></el-table-column>
                <el-table-column label="删除标识" prop="deleteFlag" align="center">
                    <template slot-scope="scope">
                        {{scope.row.deleteFlag == 1?'是':'否'}}
                    </template>
                </el-table-column>
                <!--                <el-table-column label="操作" align="center" width="120" class-name="small-padding fixed-width" fixed="right">-->
                <!--                    <template slot-scope="scope">-->
                <!--                        <el-button type="text" @click="openDialog('edit',scope.row)">修改</el-button>-->
                <!--                        <el-button type="text" @click="deleteData(scope.row)">删除</el-button>-->
                <!--                    </template>-->
                <!--                </el-table-column>-->
            </el-table>
            <br>
            <div style="display: flex;justify-content: right">
                <el-pagination
                    v-show="recordTotal>0"
                    :current-page="currentPage"
                    :page-sizes="[10, 20, 30, 50]"
                    :page-size="listQuery.pageSize"
                    :total="recordTotal"
                    layout="total, sizes, prev, pager, next, jumper"
                    background
                    @size-change="handleSizeChange"
                    @current-change="handleCurrentChange"
                />
            </div>
            <car-people-dialog ref="carPeople"></car-people-dialog>
        </div>
    </div>
</template>

<script>
import {computePageCount} from "../../../utils";
import {getOriginalPersonCar} from "../../../api/monitorAlert"
import carPeopleDialog from "./components/carPeopleDialog"

export default {
    name: "carPeople",
    components: {carPeopleDialog},
    data() {
        return {
            tableKey: '',
            recordTotal: 0,
            currentPage: 1,
            warehouseList: [],
            listLoading: false,
            dataList: [],
            listQuery: {
                filter: {
                    companyCode: '',
                    companyName: ''
                },
                pageIndex: 1,
                pageSize: 10
            }
        }
    },
    created() {
        this.getDataList()
    },
    mounted() {
    },
    watch: {},
    methods: {
        openDialog(type, data) {
            this.$refs.carPeople.open(type, data)
        },
        deleteData(data) {

        },
        async getDataList() {
            let res = await getOriginalPersonCar(this.listQuery)
            if (res.data.code === "200") {
                const data = res.data.result
                if (Array.isArray(data.records)) {
                    this.dataList = data.records
                    this.recordTotal = data.total
                    this.currentPage = data.current
                } else {
                    this.dataList = []
                }
            } else {
                this.$message({
                    type: 'warning',
                    message: res.data.message
                })
            }
            this.listLoading = false
        },
        handleSizeChange: function (val) {
            this.listQuery.pageSize = val
            this.getDataList()
        },
        handleCurrentChange: function (val) {
            this.listQuery.pageIndex = val
            this.getDataList()
        },
        reset() {
            this.listQuery = {
                filter: {
                    companyName: ''
                },
                pageIndex: 1,
                pageSize: 10
            }
            this.getDataList()
        },
        search() {
            this.listQuery.pageIndex = 1
            this.getDataList()
        }
    },
}
</script>

<style scoped>
.basic_search {
    display: inline-block;
}
</style>
